Loading...
Searching...
No Matches
gtsam::MetisIndex Class Reference

## Detailed Description

The MetisIndex class converts a factor graph into the Compressed Sparse Row format for use in METIS algorithms.

Specifically, two vectors store the adjacency structure of the graph. It is built from a factor graph prior to elimination, and stores the list of factors that involve each variable.

## Standard Constructors

| MetisIndex ()
| Default constructor, creates empty MetisIndex.
template<class FACTORGRAPH>
| MetisIndex (const FACTORGRAPH &factorGraph)

## Advanced Interface

template<class FACTORGRAPH>
void | augment (const FACTORGRAPH &factors)
| Augment the variable index with new factors.
const std::vector< int32_t > & | xadj () const
const std::vector< int32_t > & | adj () const
size_t | nValues () const
Key | intToKey (int32_t value) const

## Public Types

typedef boost::shared_ptr< MetisIndex > | shared_ptr
typedef boost::bimap< Key, int32_t > | bm_type

## Member Function Documentation

## augment()

template<class FACTORGRAPH>

void gtsam::MetisIndex::augment | ( | const FACTORGRAPH & | factors | ) |

Augment the variable index with new factors.

This can be used when solving problems incrementally.

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/inference/MetisIndex.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/inference/MetisIndex-inl.h